Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.meta
Class RemoteService

    java.lang.Object
      org.teleal.cling.model.meta.Service<RemoteDevice,RemoteService>
          org.teleal.cling.model.meta.RemoteService

    public class RemoteService

extends Service<RemoteDevice,RemoteService>

The metadata of a service discovered on a remote device.

Includes the URI's for getting the service's descriptor, calling its actions, and subscribing to events.

Author:
  Christian Bauer

Constructor Summary
`RemoteService(ServiceType serviceType, ServiceId serviceId, URI descriptorURI, URI controlURI, URI eventSubscriptionURI)`
`RemoteService(ServiceType serviceType, ServiceId serviceId, URI descriptorURI, URI controlURI, URI eventSubscriptionURI, Action<RemoteService>[] actions, StateVariable<RemoteService>[] stateVariables)`

Method Summary
`URI` | `getControlURI()`
`URI` | `getDescriptorURI()`
`URI` | `getEventSubscriptionURI()`
`Action` | `getQueryStateVariableAction()`
`List<ValidationError>` | `validateThis()`

Methods inherited from class org.teleal.cling.model.meta.Service
`getAction, getActions, getDatatype, getDevice, getReference, getRelatedStateVariable, getServiceId, getServiceType, getStateVariable, getStateVariables, hasActions, hasStateVariables, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteService

    public RemoteService(ServiceType serviceType,
                         ServiceId serviceId,
                         URI descriptorURI,
                         URI controlURI,
                         URI eventSubscriptionURI)
                  throws ValidationException

Throws:
  `ValidationException`

### RemoteService

    public RemoteService(ServiceType serviceType,
                         ServiceId serviceId,
                         URI descriptorURI,
                         URI controlURI,
                         URI eventSubscriptionURI,
                         Action<RemoteService>[] actions,
                         StateVariable<RemoteService>[] stateVariables)
                  throws ValidationException

Throws:
  `ValidationException`

Method Detail

### getQueryStateVariableAction

    public Action getQueryStateVariableAction()

  Specified by:
    `getQueryStateVariableAction` in class `Service<RemoteDevice,RemoteService>`

### getDescriptorURI

    public URI getDescriptorURI()

### getControlURI

    public URI getControlURI()

### getEventSubscriptionURI

    public URI getEventSubscriptionURI()

### validateThis

    public List<ValidationError> validateThis()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.